@import "../../common/variables";

.app-footer {
  margin-top: 150px;

  .footer__links {
    background-color: $color-footer;
    min-height: 400px;

    .footer__container {
      padding: 106px 0 0;
      display: flex;
      justify-content: space-between;

      @media screen and (max-width: 768px) {
        display: grid;
        grid-gap: 30px 70px;
        padding-bottom: 53px;
        grid-template-columns: repeat(2, 1fr);
      }

      .footer__links-heading {
        font-size: 18px;
        line-height: 25px;
        font-weight: 700;
        margin-bottom: 16px;
        color: $color-white;
      }

      .footer__links-list {
        display: flex;
        flex-direction: column;
        gap: 18px;
      }
      .footer__links-item {
        font-size: 12px;
        line-height: 16px;
        color: $color-white-transparent;
        cursor: pointer;

        &:hover {
          color: $color-brown;
        }
      }

      .footer__socials-list {
        display: flex;
        gap: 18px;
      }
    }
  }

  .footer__copyright {
    height: 100px;
    background-color: $color-author-dark;

    .footer__copyright-container {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 100%;

      .footer_copyright-name {
        font-size: 14px;
        font-weight: 700;
        line-height: 18px;
        color: $color-white-transparent;
      }

      .footer__subscribe-btn {
        font-size: 14px;
        color: $color-white-transparent;
        line-height: 18px;
      }
    }
  }
}
